package com.digiwin.athena.app.chatFile.service.chatFile;

import com.alibaba.fastjson.TypeReference;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.digiwin.app.container.exceptions.DWBusinessException;
import com.digiwin.app.service.DWEAIResult;
import com.digiwin.athena.app.chatFile.infra.entity.ChatFileEntity;
import com.digiwin.athena.app.chatFile.infra.service.ChatFileService;
import com.digiwin.athena.opt.common.eai.EAIRequest;
import com.digiwin.athena.opt.common.eai.service.AbsEAIService;
import lombok.extern.log4j.Log4j2;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import java.util.stream.Collectors;

/**
 * @auther: zhenggl
 * @date: 2023/9/7
 */
@Service
@Log4j2
public class ChatFileGetEAIService extends AbsEAIService {


    @Resource
    private ChatFileService chatFileService;

    @Override
    public String getServiceName() {
        return ChatFileUtil.CA_CHAT_FILE_INFO_GET;
    }

    @Override
    public DWEAIResult execute(Map<String, String> headers, String messageBody) throws Exception {

        EAIRequest eaiRequest = EAIRequest.build(messageBody);
        ChatFileEntity chatFileInfo = eaiRequest.getObject("chat_file_info", new TypeReference<ChatFileEntity>(){});

        if (Objects.isNull(chatFileInfo)){
            throw new DWBusinessException("缺少必要参数chat_file_info");
        }


        LambdaQueryWrapper<ChatFileEntity> lmq = new LambdaQueryWrapper<>();
        lmq.eq(ChatFileEntity::getId,chatFileInfo.getId());
        ChatFileEntity chatFileServiceOne = chatFileService.getOne(lmq);

        return buildOK("chat_file_info",chatFileServiceOne);
    }
}
