package com.digiwin.athena.app.chatFile.service.chatFile;

import com.alibaba.fastjson.TypeReference;
import com.digiwin.app.service.DWEAIResult;
import com.digiwin.athena.app.chatFile.infra.entity.ChatFileEntity;
import com.digiwin.athena.app.chatFile.infra.repository.ChatFileRepository;
import com.digiwin.athena.opt.common.eai.EAIRequest;
import com.digiwin.athena.opt.common.eai.service.AbsEAIService;
import com.digiwin.athena.opt.common.security.SecurityUtil;
import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.*;

/**
 * @auther: zhenggl
 * @date: 2023/9/7
 */
@Service
@Log4j2
public class ChatFileUpdateEAIService extends AbsEAIService {

    @Resource
    private ChatFileRepository chatFileRepository;

    @Override
    public String getServiceName() {
        return ChatFileUtil.CA_CHAT_FILE_INFO_UPDATE;
    }

    @Override
    public DWEAIResult execute(Map<String, String> headers, String messageBody) throws Exception {

        EAIRequest eaiRequest = EAIRequest.build(messageBody);
        ChatFileEntity chatFileInfo = eaiRequest.getObject("chat_file_info", new TypeReference<ChatFileEntity>(){});

        if (Objects.isNull(chatFileInfo.getCompleteDate())){
            chatFileInfo.setCompleteDate(new Date());
        }

        chatFileInfo.setQuestionCompleteBy(SecurityUtil.getUserProfile().getUserName());

        chatFileRepository.updateBatch(chatFileInfo);
        return buildOK(new HashMap<>());
    }
}
