package com.digiwin.athena.app.infra.dto;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author lz
 * @version 1.0
 * @title CaPurchaseOrderDetailDTO
 * @description
 * @create 2023/8/30 11:14
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
public class PurchaseOrderDetailDTO {

    /**
     * 请购单号
     */
    @JsonProperty(value = "purchase_order_no")
    private String purchaseOrderNo;

    /**
     * 请购单序号
     */
    @JsonProperty(value = "purchase_order_seq")
    private String purchaseOrderSeq;

    /**
     * 品号
     */
    @JsonProperty(value = "item_no")
    private String itemNo;

    /**
     * 品名
     */
    @JsonProperty(value = "item_name")
    private String itemName;

    /**
     * 规格
     */
    @JsonProperty(value = "item_spec")
    private String itemSpec;

    /**
     * 供应商名称
     */
    @JsonProperty(value = "supplier_name")
    private String supplierName;

    /**
     * 供应商编号
     */
    @JsonProperty(value = "supplier_no")
    private String supplierNo;

    /**
     * 请购数量
     */
    @JsonProperty(value = "requisition_num")
    private Integer requisitionNum;

    /**
     * 采购数量
     */
    @JsonProperty(value = "purchase_num")
    private Integer purchaseNum;

    /**
     * 采购单价
     */
    @JsonProperty(value = "purchase_price")
    private BigDecimal purchasePrice;

    /**
     * 金额
     */
    @JsonProperty(value = "amount")
    private BigDecimal amount;

    /**
     * 采购剩余数量
     */
    @JsonProperty(value = "purchase_residue_num")
    private Integer purchaseResidueNum;

    /**
     * 采购执行人
     */
    @JsonProperty(value = "procurement_executor_code")
    private String procurementExecutorCode;

    /**
     * 采购需求日期
     */
    @JsonProperty(value = "purchase_date")
    private Date purchaseDate;

    /**
     * 预计到货日
     */
    @JsonProperty(value = "expected_date")
    private Date expectedDate;

    /**
     * 异常处理方式
     */
    @JsonProperty(value = "abnormal_handle_plan")
    private String abnormalHandlePlan;

    /**
     * 任务卡状态
     */
    @JsonProperty(value = "tab_status")
    private String tabStatus;

    /**
     * 任务卡类型:1是采购任务,2是交期回复任务,3是异常排除任务
     */
    @JsonProperty(value = "task_type")
    private String taskType;

}
