package com.digiwin.athena.app.infra.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.digiwin.athena.opt.persistence.domain.BaseMgrEntity;
import com.google.gson.annotations.SerializedName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 人资报道对象 cim_item_supplier
 *
 * @author bk
 * @date 2023-04-28
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName(value = "cim_item_supplier", autoResultMap = true)
public class FontSupplierEntity extends BaseMgrEntity<FontSupplierEntity> {
    private static final long serialVersionUID = 1L;


    /** 品号 */
    @SerializedName("item_no")
    private String itemNo;

    /** 品名 */
    @SerializedName("item_name")
    private String itemName;

    /** 供应商编号 */
    @SerializedName("supplier_no")
    private String supplierNo;

    /** 供应商名称 */
    @SerializedName("supplier_name")
    private String supplierName;

    /** 单价 */
    @SerializedName("price")
    private String price;

}
