package com.digiwin.athena.app.infra.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.digiwin.athena.opt.persistence.domain.BaseMgrEntity;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.google.gson.annotations.SerializedName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: xieps
 * @Date: 2023/8/30 14:03
 * @Version 1.0
 * @Description
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@JsonIgnoreProperties(ignoreUnknown = true)
@TableName(value = "cim_item_execute", autoResultMap = true)
public class ItemExecutorEntity extends BaseMgrEntity<ItemExecutorEntity> {

    /**
     * 品号
     */
    @SerializedName(value = "item_no")
    @JsonProperty(value = "item_no")
    private String itemNo;

    /**
     * 品名
     */
    @SerializedName(value = "item_name")
    @JsonProperty(value = "item_name")
    private String itemName;

    /**
     * 执行人编号
     */
    @SerializedName(value = "procurement_executor_code")
    @JsonProperty(value = "procurement_executor_code")
    private String procurementExecutorCode;

    /**
     * 执行人名称
     */
    @SerializedName(value = "procurement_executor_name")
    @JsonProperty(value = "procurement_executor_name")
    private String procurementExecutorName;


}
