package com.digiwin.athena.app.infra.entity;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableName;
import com.digiwin.athena.opt.persistence.domain.BaseMgrEntity;
import com.google.gson.annotations.SerializedName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
/**
 * 品号供应商对象 cim_item_supplier
 *
 * @author zhenggl
 * @date 2023-08-31
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName(value = "cim_item_supplier", autoResultMap = true)
public class ItemSupplierEntity extends BaseMgrEntity<ItemSupplierEntity> {


    /** 品号 */
    @SerializedName(value = "item_no")
    private String itemNo;

    /** 品名 */
    @SerializedName(value = "item_name")
    private String itemName;

    /** 供应商编号 */
    @SerializedName(value = "supplier_no")
    private String supplierNo;

    /** 供应商名称 */
    @SerializedName(value = "supplier_name")
    private String supplierName;

    /** 单价 */
    @SerializedName(value = "price")
    private BigDecimal price;
}
