package com.digiwin.athena.app.infra.entity;


import com.baomidou.mybatisplus.annotation.TableName;
import com.digiwin.athena.opt.persistence.domain.BaseMgrEntity;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.google.gson.annotations.SerializedName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author lz
 * @description 请购采购单表
 * @throws
 * @time 2023/8/29 16:21
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName(value = "cim_purchase_order_detail", autoResultMap = true)
public class PurchaseOrderDetailEntity extends BaseMgrEntity<PurchaseOrderDetailEntity> {


    /**
     * 请购单号
     */
    @SerializedName(value = "purchase_order_no")
    @JsonProperty(value = "purchase_order_no")
    private String purchaseOrderNo;

    /**
     * 请购单序号
     */
    @SerializedName(value = "purchase_order_seq")
    @JsonProperty(value = "purchase_order_seq")
    private String purchaseOrderSeq;

    /**
     * 品号
     */
    @SerializedName(value = "item_no")
    @JsonProperty(value = "item_no")
    private String itemNo;

    /**
     * 品名
     */
    @SerializedName(value = "item_name")
    @JsonProperty(value = "item_name")
    private String itemName;

    /**
     * 供应商名称
     */
    @SerializedName(value = "supplier_name")
    @JsonProperty(value = "supplier_name")
    private String supplierName;

    /**
     * 供应商编号
     */
    @SerializedName(value = "supplier_no")
    @JsonProperty(value = "supplier_no")
    private String supplierNo;

    /**
     * 请购数量
     */
    @SerializedName(value = "requisition_num")
    @JsonProperty(value = "requisition_num")
    private Integer requisitionNum;

    /**
     * 采购数量
     */
    @SerializedName(value = "purchase_num")
    @JsonProperty(value = "purchase_num")
    private Integer purchaseNum;

    /**
     * 采购单价
     */
    @SerializedName(value = "purchase_price")
    @JsonProperty(value = "purchase_price")
    private BigDecimal purchasePrice;

    /**
     * 金额
     */
    @SerializedName(value = "amount")
    @JsonProperty(value = "amount")
    private BigDecimal amount;

    /**
     * 采购剩余数量
     */
    @SerializedName(value = "purchase_residue_num")
    @JsonProperty(value = "purchase_residue_num")
    private Integer purchaseResidueNum;

    /**
     * 采购执行人
     */
    @SerializedName(value = "procurement_executor_code")
    @JsonProperty(value = "procurement_executor_code")
    private String procurementExecutorCode;

    /**
     * 采购需求日期
     */
    @SerializedName(value = "purchase_date")
    @JsonProperty(value = "purchase_date")
    private Date purchaseDate;

    /**
     * 预计到货日
     */
    @SerializedName(value = "expected_date")
    @JsonProperty(value = "expected_date")
    private Date expectedDate;

    /**
     * 异常处理方式
     */
    @SerializedName(value = "abnormal_handle_plan")
    @JsonProperty(value = "abnormal_handle_plan")
    private String abnormalHandlePlan;

    /**
     * 任务卡状态
     */
    @SerializedName(value = "tab_status")
    @JsonProperty(value = "tab_status")
    private String tabStatus;

    /**
     * 任务卡类型:1是采购任务,2是交期回复任务,3是异常排除任务
     */
    @SerializedName(value = "task_type")
    @JsonProperty(value = "task_type")
    private String taskType;

}
