package com.digiwin.athena.app.provider;

import com.digiwin.app.service.DWEAIResult;
import com.digiwin.app.service.DWService;
import com.digiwin.app.service.eai.EAIService;
import com.digiwin.athena.app.service.executor.ExecutorUtil;

import java.util.Map;

/**
 * @Author: xieps
 * @Date: 2023/9/4 10:28
 * @Version 1.0
 * @Description
 */
public interface ItemExecutorEAIService extends DWService {


    /**
     * 品号执行人信息新增
     *
     * @param headers
     * @param messageBody
     * @return
     * @throws Exception
     */
    @EAIService(id = ExecutorUtil.DEMO_ITEM_EXECUTOR_INFO_CREATE)
    DWEAIResult itemExecutorInfoCreate(Map<String, String> headers, String messageBody)  throws Exception;



    /**
     * 品号执行人信息查询
     *
     * @param headers
     * @param messageBody
     * @return
     * @throws Exception
     */
    @EAIService(id = ExecutorUtil.DEMO_ITEM_EXECUTOR_INFO_GET)
    DWEAIResult itemExecutorInfoGet(Map<String, String> headers, String messageBody)  throws Exception;



    /**
     * 品号执行人信息删除
     *
     * @param headers
     * @param messageBody
     * @return
     * @throws Exception
     */
    @EAIService(id = ExecutorUtil.DEMO_ITEM_EXECUTOR_INFO_DELETE)
    DWEAIResult itemExecutorInfoDelete(Map<String, String> headers, String messageBody)  throws Exception;



    /**
     * 品号执行人信息更新
     *
     * @param headers
     * @param messageBody
     * @return
     * @throws Exception
     */
    @EAIService(id = ExecutorUtil.DEMO_ITEM_EXECUTOR_INFO_UPDATE)
    DWEAIResult itemExecutorInfoUpdate(Map<String, String> headers, String messageBody)  throws Exception;



}
