package com.digiwin.athena.app.provider;

import com.digiwin.app.service.DWEAIResult;
import com.digiwin.app.service.DWService;
import com.digiwin.app.service.eai.EAIService;
import com.digiwin.athena.app.service.supplier.SupplierContactUtil;

import java.util.Map;

public interface SupplierContactInfoEAIService extends DWService {

    /**
     *  供应商联系人查询
     * @param headers
     * @param messageBody
     * @return
     * @throws Exception
     */
    @EAIService(id = SupplierContactUtil.DEMO_DATA_CONTACT_INFO_GET)
    DWEAIResult get(Map<String, String> headers, String messageBody)  throws Exception;

    /**
     *  供应商联系人新增
     * @param headers
     * @param messageBody
     * @return
     * @throws Exception
     */
    @EAIService(id = SupplierContactUtil.DEMO_DATA_CONTACT_INFO_CREATE)
    DWEAIResult create(Map<String, String> headers, String messageBody)  throws Exception;

    /**
     *  供应商联系人修改
     * @param headers
     * @param messageBody
     * @return
     * @throws Exception
     */
    @EAIService(id = SupplierContactUtil.DEMO_DATA_CONTACT_INFO_UPDATE)
    DWEAIResult update(Map<String, String> headers, String messageBody)  throws Exception;


    /**
     *  供应商联系人删除
     * @param headers
     * @param messageBody
     * @return
     * @throws Exception
     */
    @EAIService(id = SupplierContactUtil.DEMO_DATA_CONTACT_INFO_DELETE)
    DWEAIResult delete(Map<String, String> headers, String messageBody)  throws Exception;
}
