package com.digiwin.athena.app.provider;

import com.digiwin.app.service.DWEAIResult;
import com.digiwin.app.service.DWService;
import com.digiwin.app.service.eai.EAIService;
import com.digiwin.athena.app.service.supplier.SupplierUtil;

import java.util.Map;

/**
 * @auther: zhenggl
 * @date: 2023/9/1
 */
public interface SupplierEAIService extends DWService {


    /**
     *   品号供应商修改
     * @param headers
     * @param messageBody
     * @return
     * @throws Exception
     */
    @EAIService(id = SupplierUtil.DEMO_ITEM_SUPPLIER_INFO_UPDATE)
    DWEAIResult update(Map<String, String> headers, String messageBody)  throws Exception;

    /**
     *   品号供应商获取
     * @param headers
     * @param messageBody
     * @return
     * @throws Exception
     */
    @EAIService(id = SupplierUtil.DEMO_ITEM_SUPPLIER_INFO_GET)
    DWEAIResult get(Map<String, String> headers, String messageBody)  throws Exception;

    /**
     *   品号供应商新增
     * @param headers
     * @param messageBody
     * @return
     * @throws Exception
     */
    @EAIService(id = SupplierUtil.DEMO_ITEM_SUPPLIER_INFO_CREATE)
    DWEAIResult create(Map<String, String> headers, String messageBody)  throws Exception;

    /**
     *   品号供应商删除
     * @param headers
     * @param messageBody
     * @return
     * @throws Exception
     */
    @EAIService(id = SupplierUtil.DEMO_ITEM_SUPPLIER_INFO_DELETE)
    DWEAIResult delete(Map<String, String> headers, String messageBody)  throws Exception;
}
