package com.digiwin.athena.app.provider.impl;

import com.digiwin.app.service.DWEAIResult;
import com.digiwin.athena.app.provider.PurchaseDemoEAIService;
import com.digiwin.athena.app.service.purchase.PurchaseUtil;
import com.digiwin.athena.opt.common.eai.service.EAIServiceContext;

import javax.annotation.Resource;
import java.util.Map;

/**
 * @author lz
 * @version 1.0
 * @title PurchaseDemoEAIServiceImpl
 * @description
 * @create 2023/8/30 16:50
 */
public class PurchaseDemoEAIServiceImpl implements PurchaseDemoEAIService {

    @Resource
    private EAIServiceContext eaiServiceContext;

    @Override
    public DWEAIResult create(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(PurchaseUtil.DEMO_PURCHASE_DEMO_CREATE, headers, messageBody);
    }

    @Override
    public DWEAIResult get(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(PurchaseUtil.DEMO_PURCHASE_DEMO_GET, headers, messageBody);
    }

    @Override
    public DWEAIResult abnormalUpdate(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(PurchaseUtil.DEMO_PURCHASE_ORDER_ABNORMAL_UPDATE, headers, messageBody);
    }

    @Override
    public DWEAIResult purchaseOrderUpdate(Map<String, String> headers, String messageBody) throws Exception {
        return eaiServiceContext.execute(PurchaseUtil.DEMO_PURCHASE_ORDER_UPDATE, headers, messageBody);
    }
}
