package com.digiwin.athena.app.ptc.infra.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.digiwin.athena.opt.persistence.domain.BaseMgrEntity;
import com.google.gson.annotations.SerializedName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @auther: zhenggl
 * @date: 2023/9/11
 * @description 额度管理基础资料
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName(value = "cim_limit_management_detail", autoResultMap = true)
public class LimitManagementDetailEntity extends BaseMgrEntity<LimitManagementDetailEntity> {


    @SerializedName(value = "limit_management_id")
    private Long LimitManagementId;

    @SerializedName(value = "user_id")
    private String user_id;

    @SerializedName(value = "min_percentage")
    private BigDecimal minPercentage;


    @SerializedName(value = "max_percentage")
    private BigDecimal maxPercentage;


    @SerializedName(value = "overdue_date_range")
    private String overdueDateRange;


    @SerializedName(value = "processed_by")
    private String processedBy;


    @SerializedName(value = "handling_method")
    private String handlingMethod;


    @SerializedName(value = "processed_by_type")
    private String processedByType;

    @SerializedName(value = "class_interval_name")
    @TableField(exist = false)
    private String classIntervalName;
}
