package com.digiwin.athena.app.ptc.infra.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.digiwin.athena.opt.persistence.domain.BaseMgrEntity;
import com.google.gson.annotations.SerializedName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

/**
 * @auther: zhenggl
 * @date: 2023/9/11
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName(value = "cim_limit_management", autoResultMap = true)
public class LimitManagementEntity extends BaseMgrEntity<LimitManagementEntity> {


    @SerializedName(value = "class_interval_name")
    private String classIntervalName;


    @SerializedName(value = "class_interval_no")
    private String classIntervalNo;

    @SerializedName(value = "min_percentage")
    private BigDecimal minPercentage;


    @SerializedName(value = "max_percentage")
    private BigDecimal maxPercentage;


    @TableField(exist = false)
    @SerializedName(value = "quota_ratio")
    private BigDecimal quotaRatio;

    @TableField(exist = false)
    @SerializedName(value = "info")
    private List<LimitManagementDetailEntity> info;
}
