package com.digiwin.athena.app.ptc.infra.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.digiwin.athena.opt.persistence.domain.BaseMgrEntity;
import com.google.gson.annotations.SerializedName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @auther: zhenggl
 * @date: 2023/9/11
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName(value = "cim_payment_details", autoResultMap = true)
public class PaymentDetailsEntity extends BaseMgrEntity<PaymentDetailsEntity> {


    /** 应收单号 */
    @SerializedName(value = "receivable_no")
    private String receivableNo;

    /** 应收序号 */
    @SerializedName(value = "receivable_non")
    private String receivableNon;

    /** 客户编号 */
    @SerializedName(value = "customer_no")
    private String customerNo;

    /** 客户名称 */
    @SerializedName(value = "customer_name")
    private String customerName;

    /** 状态 */
    @SerializedName(value = "status")
    private String status;

    /** 销售单号 */
    @SerializedName(value = "sales_order")
    private String salesOrder;

    /** 销售单序号 */
    @SerializedName(value = "sales_order_number")
    private String salesOrderNumber;

    /** 合同编号 */
    @SerializedName(value = "contract_no")
    private String contractNo;

    /** 品号 */
    @SerializedName(value = "sku_code")
    private String skuCode;

    /** 品名 */
    @SerializedName(value = "sku_name")
    private String skuName;

    /** 规格 */
    @SerializedName(value = "sku_spec")
    private String skuSpec;

    /** 联系人 */
    @SerializedName(value = "contacts")
    private String contacts;

    /** 联系方式 */
    @SerializedName(value = "contact_information")
    private String contactInformation;

    /** 业务助理 */
    @SerializedName(value = "salesman_assistant")
    private String salesmanAssistant;

    /** 业务员 */
    @SerializedName(value = "salesman")
    private String salesman;

    /** 业务主管 */
    @SerializedName(value = "salesman_boss")
    private String salesmanBoss;

    /** 生产主管 */
    @SerializedName(value = "produce_boss")
    private String produceBoss;

    /** 工单单号 */
    @SerializedName(value = "work_no")
    private String workNo;

    /** 含税金额 */
    @SerializedName(value = "amount_tax")
    private BigDecimal amountTax;

    /** 含税单价 */
    @SerializedName(value = "price_tax")
    private BigDecimal priceTax;

    /** 数量 */
    @SerializedName(value = "quantity")
    private BigDecimal quantity;

    /** 逾期天数 */
    @SerializedName(value = "overdue_days")
    private Long overdueDays;
}
