package com.digiwin.athena.app.ptc.service.management;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.digiwin.app.service.DWEAIResult;
import com.digiwin.athena.app.ptc.infra.entity.LimitManagementEntity;
import com.digiwin.athena.app.ptc.infra.service.LimitManagementDetailService;
import com.digiwin.athena.app.ptc.infra.service.LimitManagementService;
import com.digiwin.athena.app.ptc.service.managementdetail.LimitManagementDetailUtil;
import com.digiwin.athena.opt.common.eai.service.AbsEAIService;
import com.digiwin.athena.opt.common.security.SecurityUtil;
import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @auther: zhenggl
 * @date: 2023/9/11
 */
@Service
@Log4j2
public class LimitManagementGetEAIService extends AbsEAIService {


    @Resource
    private LimitManagementService limitManagementService;

    @Resource
    private LimitManagementDetailService limitManagementDetailService;



    @Override
    public String getServiceName() {
        return LimitManagementDetailUtil.LIMIT_MANAGEMENT_GET;
    }

    @Override
    public DWEAIResult execute(Map<String, String> headers, String messageBody) throws Exception {
        //直接捞两个表的数据
        LambdaQueryWrapper<LimitManagementEntity> lmq = new LambdaQueryWrapper<>();
        lmq.eq(LimitManagementEntity::getTenantSid, SecurityUtil.getUserProfile().getTenantSid());
        List<LimitManagementEntity> list = limitManagementService.list(lmq);
        return buildOK("query_result",list);
    }
}
