package com.digiwin.athena.app.ptc.service.managementdetail;

import com.alibaba.fastjson.TypeReference;
import com.alibaba.nacos.common.utils.CollectionUtils;
import com.digiwin.app.service.DWEAIResult;
import com.digiwin.athena.app.ptc.infra.entity.LimitManagementDetailEntity;
import com.digiwin.athena.app.ptc.infra.entity.LimitManagementEntity;
import com.digiwin.athena.app.ptc.infra.repository.LimitManagementDetailRepository;
import com.digiwin.athena.opt.common.eai.EAIRequest;
import com.digiwin.athena.opt.common.eai.service.AbsEAIService;
import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @auther: zhenggl
 * @date: 2023/9/11
 */
@Service
@Log4j2
public class LimitManagementDetailUpdateEAIService extends AbsEAIService {


    @Resource
    private LimitManagementDetailRepository limitManagementDetailRepository;

    @Override
    public String getServiceName() {
        return LimitManagementDetailUtil.LIMIT_MANAGEMENT_DETAIL_UPDATE;
    }

    @Override
    public DWEAIResult execute(Map<String, String> headers, String messageBody) throws Exception {
        //修改子表
        EAIRequest eaiRequest = EAIRequest.build(messageBody);
        List<LimitManagementEntity> managementDetailEntities = eaiRequest.getObject("get_data", new TypeReference<List<LimitManagementEntity>>() {});

        if (CollectionUtils.isEmpty(managementDetailEntities)){
            return buildOK("query_result",new HashMap<>());
        }

        //获取单身数据
        List<LimitManagementDetailEntity> info = managementDetailEntities.get(0).getInfo();

        if (CollectionUtils.isNotEmpty(info)){
            limitManagementDetailRepository.updateBatch(info);
        }
        return buildOK("query_result",managementDetailEntities);
    }

}
