package com.digiwin.athena.app.ptc.service.paymentdetails;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.digiwin.app.service.DWEAIResult;
import com.digiwin.athena.app.ptc.infra.entity.PaymentDetailsEntity;
import com.digiwin.athena.app.ptc.infra.service.PaymentDetailsService;
import com.digiwin.athena.opt.common.eai.service.AbsEAIService;
import com.digiwin.athena.opt.common.security.SecurityUtil;
import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @auther: zhenggl
 * @date: 2023/9/11
 */
@Service
@Log4j2
public class ReceivablesGetEAIService extends AbsEAIService {

    @Resource
    private PaymentDetailsService paymentDetailsService;

    @Override
    public String getServiceName() {
        return PaymentDetailsUtil.RECEIVABLES_GET;
    }

    @Override
    public DWEAIResult execute(Map<String, String> headers, String messageBody) throws Exception {

        LambdaQueryWrapper<PaymentDetailsEntity> lmq = new LambdaQueryWrapper<>();
        lmq.eq(PaymentDetailsEntity::getTenantSid, SecurityUtil.getUserProfile().getTenantSid());
        List<PaymentDetailsEntity> list = paymentDetailsService.list(lmq);
        return buildOK("query_result",list);
    }
}
