/*
 * Author:   DONGSK
 * Datetime: 2023/6/30 19:57
 * Description:
 * History:
 * 作者姓名 --修改时间 --版本号--描述
 */
package com.digiwin.athena.app.service.cps;

import com.alibaba.fastjson.TypeReference;
import com.digiwin.app.service.DWEAIResult;
import com.digiwin.athena.app.infra.entity.CpsQuestionInfo;
import com.digiwin.athena.app.infra.entity.SalesOrderDetailEntity;
import com.digiwin.athena.app.infra.service.CpsQuestionInfoService;
import com.digiwin.athena.opt.common.eai.EAIRequest;
import com.digiwin.athena.opt.common.eai.EAIUtil;
import com.digiwin.athena.opt.common.eai.service.AbsEAIService;
import com.digiwin.athena.opt.common.security.SecurityUtil;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * CpsQuestionCreateService
 *
 * @author DONGSK 2023/6/30 19:57
 * @since 1.0.0
 */
@Service
public class CpsQuestionCreateService extends AbsEAIService {

    @Resource
    CpsQuestionInfoService cpsQuestionInfoService;

    @Override
    public String getServiceName() {
        return CpsUtil.CPS_QUESTION_INFO_CREATE;
    }

    @Override
    public DWEAIResult execute(Map<String, String> headers, String messageBody) throws Exception {

        EAIRequest request = EAIRequest.build(messageBody);
        List<CpsQuestionInfo> questionInfo = request.getObject("question_info", new TypeReference<List<CpsQuestionInfo>>() {
        });

        questionInfo.forEach(o->{
            o.setResponsiblePerson(SecurityUtil.getUserProfile().getUserId());
            o.setResponsiblePersonName(SecurityUtil.getUserProfile().getUserName());
        });

        cpsQuestionInfoService.saveBatch(questionInfo);



        return buildOK("question_info", questionInfo);
    }
}
