/*
 * Author:   DONGSK
 * Datetime: 2023/6/30 19:57
 * Description:
 * History:
 * 作者姓名 --修改时间 --版本号--描述
 */
package com.digiwin.athena.app.service.cps;

import com.alibaba.fastjson.TypeReference;
import com.digiwin.app.service.DWEAIResult;
import com.digiwin.athena.app.infra.entity.CpsQuestionInfo;
import com.digiwin.athena.app.infra.service.CpsQuestionInfoService;
import com.digiwin.athena.opt.common.eai.EAIRequest;
import com.digiwin.athena.opt.common.eai.service.AbsEAIService;
import com.digiwin.athena.opt.common.util.DateUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * CpsQuestionUpdateService
 *
 * @author DONGSK 2023/6/30 19:57
 * @since 1.0.0
 */
@Service
public class CpsQuestionUpdateService extends AbsEAIService {

    @Resource
    CpsQuestionInfoService cpsQuestionInfoService;

    @Override
    public String getServiceName() {
        return CpsUtil.CPS_QUESTION_INFO_UPDATE;
    }

    @Override
    public DWEAIResult execute(Map<String, String> headers, String messageBody) throws Exception {

        EAIRequest request = EAIRequest.build(messageBody);
        List<CpsQuestionInfo> questionInfo = request.getObject("question_info", new TypeReference<List<CpsQuestionInfo>>() {
        });

        String option = request.getString("option");

        questionInfo.forEach(o -> {

            switch (option) {
                case "1":
                    o.setStatus1(2);
                    break;
                case "2":
                    o.setStatus2(2);
                    break;
                case "3":
                    o.setStatus3(2);
                    o.setCompletionTime(DateUtils.getDateTimeNow());
                    break;
                case "4":
                    o.setStatus4(2);
                    break;
                case "5":
                    o.setStatus5(2);
                    break;
                case "6":
                    o.setStatus6(2);
                    break;
            }

        });

        cpsQuestionInfoService.updateBatchById(questionInfo);

        return buildOK();
    }
}
