package com.digiwin.athena.app.service.executor;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.digiwin.app.service.DWEAIResult;
import com.digiwin.athena.app.infra.repository.ItemExecutorRepository;
import com.digiwin.athena.opt.common.eai.EAIRequest;
import com.digiwin.athena.opt.common.eai.EAIUtil;
import com.digiwin.athena.opt.common.eai.service.AbsEAIService;
import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.*;

/**
 * @Author: xieps
 * @Date: 2023/8/30 14:25
 * @Version 1.0
 * @Description
 */
@Service
@Log4j2
public class ItemExecutorDeleteEAIService extends AbsEAIService {


    @Resource
    private ItemExecutorRepository itemExecutorRepository;


    @Override
    public String getServiceName() {
        return ExecutorUtil.DEMO_ITEM_EXECUTOR_INFO_DELETE;
    }

    @Override
    public DWEAIResult execute(Map<String, String> headers, String messageBody) throws Exception {

        JSONObject parameter = new EAIRequest(messageBody).getParameter();
        JSONArray itemExecutorInfo = parameter.getJSONArray("item_executor_info");

        List<Long> idList = new ArrayList<>();
        for (Iterator<Object> iterator = itemExecutorInfo.iterator(); iterator.hasNext(); ) {
            JSONObject item = (JSONObject) iterator.next();
            Long id = item.getLong("id");
            if (!Objects.isNull(id)) {
                idList.add(id);
            }
        }

        if (!idList.isEmpty()) {
            itemExecutorRepository.deleteBatchIds(idList);
        }

        return EAIUtil.buildEAIResult(new HashMap<>());
    }
}
