package com.digiwin.athena.app.service.supplier;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.digiwin.app.service.DWEAIResult;
import com.digiwin.athena.app.infra.entity.FontSupplierEntity;
import com.digiwin.athena.app.infra.service.FontSupplierService;
import com.digiwin.athena.opt.common.eai.EAIRequest;
import com.digiwin.athena.opt.common.eai.EAIUtil;
import com.digiwin.athena.opt.common.eai.service.AbsEAIService;
import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @auther: bk
 * @date: 2023/8/31
 */
@Service
@Log4j2
public class FontSupplierDeleteEAIService extends AbsEAIService {


    @Resource
    private FontSupplierService fontSupplierService;

    @Override
    public String getServiceName() {
        return FontSupplierUtil.DEMO_FONT_ITEM_SUPPLIER_INFO_DELETE;
    }

    @Override
    public DWEAIResult execute(Map<String, String> headers, String messageBody) throws Exception {
        EAIRequest eaiRequest = EAIRequest.build(messageBody);
        List<FontSupplierEntity> supplierInfo = eaiRequest.getObject("item_supplier_info", FontSupplierUtil.LIST_ENTITY_SUPPLIER);
        List<Long> collect = supplierInfo.stream().map(FontSupplierEntity::getId).collect(Collectors.toList());
        LambdaQueryWrapper<FontSupplierEntity> lmq = new LambdaQueryWrapper<>();
        lmq.in(FontSupplierEntity::getId,collect);
        fontSupplierService.remove(lmq);
        return EAIUtil.buildEAIResult(new HashMap<>());
    }
}
