package com.digiwin.athena.app.service.supplier;

import com.digiwin.app.service.DWEAIResult;
import com.digiwin.athena.app.infra.service.SupplierContactInfoService;
import com.digiwin.athena.opt.common.eai.EAIUtil;
import com.digiwin.athena.opt.common.eai.service.AbsEAIService;
import lombok.extern.log4j.Log4j2;
import org.assertj.core.util.Lists;
import org.json.JSONArray;
import org.json.JSONObject;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.*;

/**
 * @author CR-7
 * create: 2023-09-01 16:05
 * Description:
 */
@Log4j2
@Service
public class SupplierContactInfoDeleteEAIService extends AbsEAIService {


    @Resource
    SupplierContactInfoService supplierContactInfoService;

    @Override
    public String getServiceName() {
        return SupplierContactUtil.DEMO_DATA_CONTACT_INFO_DELETE;
    }

    @Override
    public DWEAIResult execute(Map<String, String> headers, String messageBody) throws Exception {
        // 入参反序列化
        JSONObject parameter = new JSONObject(messageBody).getJSONObject("std_data").getJSONObject("parameter");
        JSONArray jsonArray = parameter.getJSONArray("contact_info");

        ArrayList<Long> list = null;
        for(int i=0;i<jsonArray.length();i++){
           list = Lists.newArrayList(jsonArray.getJSONObject(i).getLong("id"));
        }

        this.supplierContactInfoService.removeByIds(list);

        return EAIUtil.buildEAIResult(new HashMap<>());
    }
}
