package com.digiwin.athena.app.service.supplier;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.digiwin.app.service.DWEAIResult;
import com.digiwin.athena.app.infra.entity.SupplierContactEntity;
import com.digiwin.athena.app.infra.service.SupplierContactInfoService;
import com.digiwin.athena.opt.common.eai.EAIUtil;
import com.digiwin.athena.opt.common.eai.service.AbsEAIService;
import com.digiwin.athena.opt.common.security.SecurityUtil;
import lombok.extern.log4j.Log4j2;
import org.json.JSONArray;
import org.json.JSONObject;
import org.springframework.stereotype.Service;



import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @author CR-7
 * create: 2023-09-01 16:02
 * Description:
 */
@Log4j2
@Service
public class SupplierContactInfoGetEAIService extends AbsEAIService {


    @Resource
    SupplierContactInfoService supplierContactInfoService;


    @Override
    public String getServiceName() {
        return SupplierContactUtil.DEMO_DATA_CONTACT_INFO_GET;
    }


    @Override
    public DWEAIResult execute(Map<String, String> headers, String messageBody) throws Exception {
        JSONObject parameter = new JSONObject(messageBody).getJSONObject("std_data").getJSONObject("parameter");
        JSONArray jsonArray = parameter.getJSONArray("contact_info");

        LambdaQueryWrapper<SupplierContactEntity>  queryWrapper = new LambdaQueryWrapper<SupplierContactEntity>();
        queryWrapper.eq(SupplierContactEntity::getTenantId, SecurityUtil.getUserProfile().getTenantId());

        if(!jsonArray.isNull(0)) {
            queryWrapper.in(SupplierContactEntity::getSupplierNo, jsonArray.getJSONObject(0).get("supplier_no"));
        }

        List<SupplierContactEntity> list = supplierContactInfoService.list(queryWrapper);

        return EAIUtil.buildEAIResult(new com.alibaba.fastjson.JSONObject().fluentPut("contact_info",list));
    }
}
