package com.digiwin.athena.app.service.supplier;

import com.alibaba.fastjson.TypeReference;
import com.digiwin.app.service.DWEAIResult;
import com.digiwin.athena.app.infra.entity.SupplierContactEntity;
import com.digiwin.athena.app.infra.service.SupplierContactInfoService;
import com.digiwin.athena.opt.common.eai.EAIRequest;
import com.digiwin.athena.opt.common.eai.EAIUtil;
import com.digiwin.athena.opt.common.eai.service.AbsEAIService;
import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


/**
 * @author CR-7
 * create: 2023-09-01 16:04
 * Description:
 */
@Log4j2
@Service
public class SupplierContactInfoUpdateEAIService extends AbsEAIService {

    @Resource
    SupplierContactInfoService supplierContactInfoService;

    @Override
    public String getServiceName() {
        return SupplierContactUtil.DEMO_DATA_CONTACT_INFO_UPDATE;
    }

    @Override
    public DWEAIResult execute(Map<String, String> headers, String messageBody) throws Exception {
        // 入参反序列化
        EAIRequest request = new EAIRequest(messageBody);
        List<SupplierContactEntity> supplierContactEntityList = request.getObject("contact_info", new TypeReference<List<SupplierContactEntity>>(){});

        this.supplierContactInfoService.updateBatchById(supplierContactEntityList);

        return EAIUtil.buildEAIResult(new HashMap<>());
    }
}
