package com.digiwin.athena.app.service.supplier;

import com.alibaba.fastjson.JSONObject;
import com.digiwin.app.service.DWEAIResult;
import com.digiwin.athena.app.infra.entity.ItemSupplierEntity;
import com.digiwin.athena.app.infra.service.SupplierService;
import com.digiwin.athena.opt.common.eai.EAIRequest;
import com.digiwin.athena.opt.common.eai.EAIUtil;
import com.digiwin.athena.opt.common.eai.service.AbsEAIService;
import lombok.extern.log4j.Log4j2;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @auther: zhenggl
 * @date: 2023/9/1
 */
@Log4j2
@Service
public class SupplierCreateEAIService extends AbsEAIService {

    @Resource
    private SupplierService supplierService;

    @Override
    public String getServiceName() {
        return SupplierUtil.DEMO_ITEM_SUPPLIER_INFO_CREATE;
    }

    @Override
    public DWEAIResult execute(Map<String, String> headers, String messageBody) throws Exception {
        EAIRequest eaiRequest = EAIRequest.build(messageBody);
        List<ItemSupplierEntity> supplierInfo = eaiRequest.getObject("item_supplier_info", SupplierUtil.LIST_ENTITY_SUPPLIER);
        supplierService.saveBatch(supplierInfo);
        return EAIUtil.buildEAIResult(new JSONObject().fluentPut("item_supplier_info", supplierInfo));
    }
}
