alter table cps_question_info Add column measures_from varchar(520) null default '' AFTER `knowledge_accumulation`, Add column accumulation_from varchar(520) null default '' AFTER `knowledge_accumulation`;


CREATE TABLE `cim_chat_file` (
  `id` bigint(20) NOT NULL COMMENT 'id',
  `question` varchar(255) DEFAULT '' COMMENT '问题描述',
  `feedback_person` varchar(255) DEFAULT '' COMMENT '反馈人',
  `feedback_date` datetime DEFAULT NULL COMMENT '反馈时间',
  `urgency` int(1) DEFAULT NULL COMMENT '紧急程度1:低,2中,3高',
  `question_source` int(1) DEFAULT NULL COMMENT '问题来源',
  `question_type` int(1) DEFAULT NULL COMMENT '问题分类',
  `question_complete_by` varchar(255) DEFAULT '' COMMENT '问题处理人',
  `complete_date` datetime DEFAULT NULL COMMENT '处理时间',
  `complete_explain` varchar(255) DEFAULT '' COMMENT '处理说明',
  `is_join` int(1) DEFAULT NULL COMMENT '是否加入知识库0否,1是',
  `tab_status` int(1) DEFAULT NULL COMMENT '状态',
  `tenantsid` bigint(20) DEFAULT NULL COMMENT '租户sid',
  `tenant_id` varchar(20) DEFAULT NULL COMMENT '租户id',
  `create_by` varchar(50) DEFAULT NULL COMMENT '创建者',
  `create_date` datetime DEFAULT NULL COMMENT '创建时间',
  `modified_by` varchar(50) DEFAULT NULL COMMENT '修改者',
  `modified_date` datetime DEFAULT NULL COMMENT '修改时间',
  `version` int(11) DEFAULT '0' COMMENT '版本',
  `deleted` tinyint(255) DEFAULT '0' COMMENT '逻辑删除标志，默认0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

alter table cim_chat_file Add column question_no varchar(32) null default '' COMMENT '问题单号';
alter table cim_chat_file Add column user_id varchar(32) null default '' COMMENT '用户id';

ALTER TABLE `cim_chat_file` MODIFY COLUMN `is_join` tinyint(255);

CREATE TABLE `cim_limit_management_detail` (
  `id` bigint(20) NOT NULL,
  `limit_management_id` bigint(20) NOT NULL,
  `min_percentage` decimal(15,3) DEFAULT NULL COMMENT '区间最小',
  `max_percentage` decimal(15,3) DEFAULT NULL COMMENT '区间最大',
  `overdue_date_range` varchar(100) DEFAULT '' COMMENT '逾期日期区间',
  `processed_by` varchar(50) DEFAULT '' COMMENT '处理人',
  `handling_method` varchar(1) DEFAULT '' COMMENT '处理方式',
  `processed_by_type` varchar(1) DEFAULT '' COMMENT '处理人类型',
  `user_id` varchar(50) DEFAULT '' COMMENT '用户id',
  `tenantsid` bigint(20) DEFAULT NULL COMMENT '租户sid',
  `tenant_id` varchar(20) DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL,
  `create_date` datetime DEFAULT NULL,
  `modified_by` varchar(50) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `version` int(11) DEFAULT NULL,
  `deleted` tinyint(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE `cim_payment_details` (
  `id` bigint(20) NOT NULL,
  `receivable_no` varchar(100) DEFAULT '' COMMENT '应收单号',
  `receivable_non` varchar(100) DEFAULT '' COMMENT '应收序号',
  `customer_no` varchar(100) DEFAULT '' COMMENT '客户编号',
  `customer_name` varchar(100) DEFAULT '' COMMENT '客户名称',
  `status` varchar(100) DEFAULT '' COMMENT '状态',
  `sales_order` varchar(100) DEFAULT '' COMMENT '销售单号',
  `sales_order_number` varchar(100) DEFAULT '' COMMENT '销售单序号',
  `contract_no` varchar(100) DEFAULT '' COMMENT '合同编号',
  `sku_code` varchar(100) DEFAULT '' COMMENT '品号',
  `sku_name` varchar(100) DEFAULT '' COMMENT '品名',
  `sku_spec` varchar(100) DEFAULT '' COMMENT '规格',
  `contacts` varchar(100) DEFAULT '' COMMENT '联系人',
  `contact_information` varchar(100) DEFAULT '' COMMENT '联系方式',
  `salesman_assistant` varchar(100) DEFAULT '' COMMENT '业务助理',
  `salesman` varchar(100) DEFAULT '' COMMENT '业务员',
  `salesman_boss` varchar(100) DEFAULT '' COMMENT '业务主管',
  `produce_boss` varchar(100) DEFAULT '' COMMENT '生产主管',
  `work_no` varchar(100) DEFAULT '' COMMENT '工单单号',
  `amount_tax` decimal(15,3) DEFAULT NULL COMMENT '含税金额',
  `price_tax` decimal(15,3) DEFAULT NULL COMMENT '含税单价',
  `quantity` decimal(15,3) DEFAULT NULL COMMENT '数量',
  `overdue_days` int(11) DEFAULT NULL COMMENT '逾期天数',
  `tenantsid` bigint(20) DEFAULT NULL COMMENT '租户sid',
  `tenant_id` varchar(20) DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL,
  `create_date` datetime DEFAULT NULL,
  `modified_by` varchar(50) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `version` int(11) DEFAULT NULL,
  `deleted` tinyint(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

CREATE TABLE `cim_limit_management` (
  `id` bigint(20) NOT NULL,
  `min_percentage` decimal(15,3) DEFAULT NULL COMMENT '区间最小',
  `max_percentage` decimal(15,3) DEFAULT NULL COMMENT '区间最大',
  `class_interval_name` varchar(100) DEFAULT '' COMMENT '级距名称',
  `class_interval_no` varchar(100) DEFAULT '' COMMENT '序号',
  `tenantsid` bigint(20) DEFAULT NULL COMMENT '租户sid',
  `tenant_id` varchar(20) DEFAULT NULL,
  `create_by` varchar(50) DEFAULT NULL,
  `create_date` datetime DEFAULT NULL,
  `modified_by` varchar(50) DEFAULT NULL,
  `modified_date` datetime DEFAULT NULL,
  `version` int(11) DEFAULT NULL,
  `deleted` tinyint(255) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
